Show / Hide Table of Contents

# Struct AddonNamePlate.NamePlateObject

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct NamePlateObject

### Fields

| Improve this Doc View Source

#### BakeData

##### Declaration

    public AddonNamePlate.BakeData BakeData

##### Field Value

Type | Description
--- | ---
AddonNamePlate.BakeData |

| Improve this Doc View Source

#### ClickThrough

##### Declaration

    public byte ClickThrough

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CollisionNode1

##### Declaration

    public AtkCollisionNode*CollisionNode1

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### CollisionNode2

##### Declaration

    public AtkCollisionNode*CollisionNode2

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### HasHPBar

##### Declaration

    public byte HasHPBar

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IconImageNode

##### Declaration

    public AtkImageNode*IconImageNode

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### IconXAdjust

##### Declaration

    public short IconXAdjust

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### IconYAdjust

##### Declaration

    public short IconYAdjust

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ImageNode2

##### Declaration

    public AtkImageNode*ImageNode2

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ImageNode3

##### Declaration

    public AtkImageNode*ImageNode3

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ImageNode4

##### Declaration

    public AtkImageNode*ImageNode4

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### ImageNode5

##### Declaration

    public AtkImageNode*ImageNode5

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### IsPvpEnemy

##### Declaration

    public byte IsPvpEnemy

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NameplateKind

##### Declaration

    public byte NameplateKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NameText

##### Declaration

    public AtkTextNode*NameText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### NeedsToBeBaked

##### Declaration

    public byte NeedsToBeBaked

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Priority

##### Declaration

    public int Priority

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ResNode

##### Declaration

    public AtkResNode*ResNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### RootNode

##### Declaration

    public AtkComponentNode*RootNode

##### Field Value

Type | Description
--- | ---
AtkComponentNode* |

| Improve this Doc View Source

#### TextH

##### Declaration

    public short TextH

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### TextW

##### Declaration

    public short TextW

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Properties

| Improve this Doc View Source

#### IsLocalPlayer

##### Declaration

    public readonly bool IsLocalPlayer { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsPlayerCharacter

##### Declaration

    public readonly bool IsPlayerCharacter { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsVisible

##### Declaration

    public readonly bool IsVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |